package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synPersonEnableToErpFacade extends AbstractBizCtrl implements IsynPersonEnableToErpFacade
{
    public synPersonEnableToErpFacade()
    {
        super();
        registerInterface(IsynPersonEnableToErpFacade.class, this);
    }
    public synPersonEnableToErpFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IsynPersonEnableToErpFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("848B08C5");
    }
    private synPersonEnableToErpFacadeController getController() throws BOSException
    {
        return (synPersonEnableToErpFacadeController)getBizController();
    }
    /**
     *同步启用人员到星瀚-User defined method
     *@param startDate 开始时间(格式: yyyy-mm-dd hh:mm:ss)
     *@param endDate 结束时间 (格式: yyyy-mm-dd hh:mm:ss)
     */
    public void synPersonEnableToErp(String startDate, String endDate) throws BOSException
    {
        try {
            getController().synPersonEnableToErp(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}